Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions
take_while.hpp File Reference

## Classes
struct | ranges::iter_take_while_view< Rng, Pred >
struct | ranges::take_while_view< Rng, Pred >
struct | ranges::views::iter_take_while_base_fn
struct | ranges::views::iter_take_while_fn
struct | ranges::views::take_while_base_fn
struct | ranges::views::take_while_bind_fn
struct | ranges::views::take_while_fn

## Typedefs
template<typename Rng , typename Pred >
using | ranges::cpp20::take_while_view = ranges::take_while_view< Rng, Pred >

## Functions
template<typename Rng , typename Fun >
| ranges::take_while_view (Rng &&, Fun) -> take_while_view< views::all_t< Rng >, Fun >

## Typedef Documentation

## ◆ take_while_view

template<typename Rng , typename Pred >

using ranges::cpp20::take_while_view = typedef ranges::take_while_view<Rng, Pred>

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && predicate<Pred &, iterator_t<Rng>> && copy_constructible<Pred>`